Bug 1889893 - Logging - Support oVirt input + elasticsearch output
Summary: Logging - Support oVirt input + elasticsearch output
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: rhel-system-roles
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Noriko Hosoi
QA Contact: Guilherme Santos
Eliane Ramos Pereira
URL:
Whiteboard:
Depends On: 1862134
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 20:31 UTC by Noriko Hosoi
Modified: 2021-02-16 14:24 UTC (History)
6 users (show)

Fixed In Version: rhel-system-roles-1.0-21.el8
Doc Type: Enhancement
Doc Text:
.The Logging RHEL System Role now supports `rsyslog` behavior With this enhancement, `rsyslog` receives the message from Red Hat Virtualization and forwards the message to the `elasticsearch`.
Clone Of:
Environment:
Last Closed: 2021-02-16 14:23:55 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2021:0533 0 None None None 2021-02-16 14:24:00 UTC

Description Noriko Hosoi 2020-10-20 20:31:34 UTC
Description of problem:
Testing the logging role oVirt input and elasticsearch output configuration in the oVirt environment.

The latest rhel-system-roles version is rhel-system-roles-1.0-20.el8.
But the version does not contain the fix of the following 2 bugs.
- https://bugzilla.redhat.com/show_bug.cgi?id=1878857
- https://github.com/linux-system-roles/logging/pull/181

Comment 2 Noriko Hosoi 2020-10-30 05:53:37 UTC
Hello @Guilherme,

Could you please set qa_ack+ in this bz?
Once you set it, we can respin Logging role including this fix.
Thanks!

Comment 3 Noriko Hosoi 2020-11-02 18:50:14 UTC
Hello @gdeolive@redhat.com, Shirly,
If you have any difficulties to set qa_ack+, could you share them with us?
Thanks.

Comment 4 Guilherme Santos 2020-11-09 11:58:29 UTC
It has been tested: https://bugzilla.redhat.com/show_bug.cgi?id=1862134#c1

ovirt-engine-metrics component integrates elasticsearch and ovirt logs through rsyslog and it's playbooks uses ovirt logging roles

Comment 5 Noriko Hosoi 2020-11-13 02:25:41 UTC
Hi Shirly, could you please review the Doc Text? Please feel free to modify it. Thanks in advance!

Comment 6 Shirly Radco 2020-11-15 12:10:50 UTC
LGTM

Comment 9 Guilherme Santos 2021-01-05 14:02:06 UTC
Verified on:
rhel-system-roles-1.0-21.el8.noarch

Steps:
1. I mainly followed the same steps I used here: https://bugzilla.redhat.com/show_bug.cgi?id=1862134#c1
which backed my test with upstream on comment #4. Basically I ran/validated ovirt-engine-metrics playbooks that implement ovirt logging roles.

Results:
Playbooks ran successfully and ovirt-engine-metrics is working as expected (meaning, ovirt and hosts/rhel rsyslog data are being properly sent and fetched from elasticsearch)

Comment 16 errata-xmlrpc 2021-02-16 14:23:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (rhel-system-roles bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2021:0533


Note You need to log in before you can comment on or make changes to this bug.